Subject: Re: Blx feedback
From: Amandeep Jagra <[email-masked]>
To: Subir Chakma <[email-masked]>
Cc: admin <[email-masked]>, Deeksha Dadu <[email-masked]>
Date: Thu, 3 Jul 2014 07:33:26 +0530 (IST)

Hello, 

LTK1221601476235X - I see that I never handled this ticket. I think its just a suggestion. Thanks. 

-- 

Regards, 
Amandeep 
Borderlinx Team ----- Original Message ----- 
From: "Subir Chakma" <[email-masked]> 
To: "Iftekhar Ahmed" <[email-masked]>, "Rizwan Asad" <[email-masked]>, "Obaidullah B. Abu Baker" <[email-masked]>, "Md. Hasanuzzaman" <[email-masked]>, "Sanjeev Khurma" <[email-masked]>, "Sumit Gogia" <[email-masked]>, "Amandeep Jangra" <[email-masked]>, "Alok Kumar" <[email-masked]>, "Sanjay Dutt" <[email-masked]>, "Vivian Guo" <[email-masked]>, "Ibrahim Usmani" <[email-masked]>, "Kaeiara Blythe R. Delfino" <[email-masked]>, "Gelna Genusolango G" <[email-masked]>, "Surya Prakash. Tiwari" <[email-masked]>, "Subir Chakma" <[email-masked]>, "Akhil P Walia" <[email-masked]> 
Cc: "admin" <[email-masked]>, "Deeksha Dadu" <[email-masked]> 
Sent: Thursday, July 3, 2014 5:50:17 AM GMT +05:30 Chennai, Kolkata, Mumbai, New Delhi 
Subject: Blx feedback 

LTK1221601423268X - Hasan - This Cx provided delivery date, item description & merchant name in his 1st email dated June 21. In couple of emails exchanged already, cx explained the tracking details, and how merchant shipped it. 

Hasan, then suddenly send a simple email with standard template asking for shipment/tracking details to locate the package. This is not acceptable; it is very apparent that there is ongoing to and fro emails going on, and you should have checked it. 

Again, after Cx replied back with the invoice (because he already provided rest of the details earlier), Hasan again resend the SAME standard template. How many times I have told you to customized your responses, and not be robotic as this. If the Cx has provided the item details, atleast it should be acknowledge before requesting other required details. This is definitely not the customer service I expect from anyone. 

Bottom line, the issue that could have been resolved in first contact, was delayed, cx was inconvenienced, no apology for the trouble given. 

We have to avoid this kind of error due to sheer negligence. 

LTK1221601191609X - Sanjeev/Hasan/Vivian - Multiple reminder sent to Cx over a month to get permit from Telecom ministry to clear shipment. We can not be wasting that much time if the Cx is non responsive. We send 3 reminder email explaining the the consequencies (very imp) to the Cx, and then keep it pending for our record only. 

Do not miss out to check occassionally the latest status by contacting Neil/Premiumfive 

LTK1221601476235X - Amandeep - Always verify the amount paid for the return before sending it across to Billing. If a Cx pays £139.98 GBP as return fee to return an item with updated value of GBP50, there is something wrong. Lack of judgement here, lead to unnecessary escalation to Billing, and delay in resolving the ticket. 

Proper investigation is lacking here. 

LTK1221601461292X - Sanjeev - For any missing shipment case, you must do initial investigation to try to locate it in the system, on courier website to confirm place/date of delivery. Only, then you should seek more details from Cx, or escalate to warehouse. 

This shipment was already updated to Cx account, and there ws no need really to ask for additional details. 

LTK1221601480183X - Kaeiara - The missing shipment ws delivered to 'Delivery Agent - UNITED STATES AMERICA' as per parcelforce tracking, but escalation was sent to UK Hub, causing unnecessary delay in the resolution. 

LTK1221601485903X - Gelna - Similar to LTK1221601476235X (Amandeep). Why shud the Cx pay USD229.95 for the return fee. In such cases pleaes re-confirm with Cx first before escalating to Mel, as most likely it is wrong amount and wrong transaction id. 

Regards 
Subir